import { $postParam, $post } from "@/plugins/axios";

// 成绩管理列表
export const targetScoreListPage = (datas) => {
  return $postParam("/api/admin/course/degree/score/list", datas);
};
// 成绩管理-平时成绩 ------------------->
// 成绩管理-导入平时成绩-下载模版
export const scoreTemplateDownload = (datas) => {
  return $postParam(
    "/api/admin/course/degree/usual_score/template_download",
    datas,
    {
      responseType: "blob",
    }
  );
};
// 成绩管理-平时成绩列表
export const normalScoreListPage = (datas) => {
  return $postParam("/api/admin/course/degree/usual_score/list", datas);
};
// 成绩管理-平时成绩编辑
export const normalScoreEdit = (datas) => {
  return $post("/api/admin/course/degree/usual_score/edit", datas);
};
// 成绩管理-平时成绩保存
export const normalScoreSave = (datas) => {
  return $post("/api/admin/course/degree/usual_score/save", datas);
};
// 成绩管理-平时成绩启用/禁用
export const normalScoreEnable = (datas) => {
  return $postParam("/api/admin/course/degree/usual_score/enable", datas);
};
// 成绩管理-期末成绩 ------------------->
// 成绩管理-导入期末成绩-下载模版
export const endScoreTemplateDownload = (datas) => {
  return $postParam(
    "/api/admin/course/degree/final_score/template_download",
    datas,
    {
      responseType: "blob",
    }
  );
};
// 成绩管理-期末成绩列表
export const endScoreListPage = (datas) => {
  return $postParam("/api/admin/course/degree/final_score/list", datas);
};
// 成绩管理-期末成绩编辑
export const endScoreEdit = (datas) => {
  return $post("/api/admin/course/degree/final_score/edit", datas);
};
// 成绩管理-期末成绩保存
export const endScoreSave = (datas) => {
  return $post("/api/admin/course/degree/final_score/save", datas);
};
// 成绩管理-期末成绩同步
export const endScoreSync = (datas) => {
  return $postParam("/api/admin/course/degree/final_score/sync", datas);
};
// 成绩管理-期末成绩启用/禁用
export const endScoreEnable = (datas) => {
  return $postParam("/api/admin/course/degree/final_score/enable", datas);
};
// 成绩管理-试卷蓝图详情
export const endScorePaperPositiveDetail = (datas) => {
  return $postParam(
    "/api/admin/course/degree/final_score/paper_struct/query",
    datas
  );
};
// 成绩管理-保存试卷蓝图
export const endScorePaperPositiveSave = (datas) => {
  return $post("/api/admin/course/degree/final_score/paper_struct/save", datas);
};
// 成绩管理-同步试卷蓝图
export const endScorePaperPositiveSync = (datas) => {
  return $postParam(
    "/api/admin/course/degree/final_score/paper_struct_dimension/sync",
    datas
  );
};
// 成绩管理-同步选择试卷
export const endScoreSyncPaperList = (datas) => {
  return $postParam("/api/admin/course/degree/final_score/choose_paper", datas);
};

// 报告管理 ------------------->
export const targetReportListPage = (datas) => {
  return $postParam("/api/admin/course/degree/report/list", datas);
};
// 报告管理-查看报告
export const targetReportDetail = (datas) => {
  return $postParam("/api/admin/course/degree/report/view", datas);
};
// 报告管理-保存报告
export const targetReportSave = (datas) => {
  return $post("/api/admin/course/degree/report/save", datas);
};
// 报告管理-导出报告
export const exportTargetReport = (datas) => {
  return $postParam("/api/admin/course/degree/report/export", datas, {
    responseType: "blob",
  });
};
// 报告管理-报告数据发生变化
export const targetReportChangeCheck = (datas) => {
  return $postParam("/api/admin/course/degree/report/change", datas);
};

// 文档管理 ------------------->
export const courseDocumentListPage = (datas) => {
  return $postParam("/api/admin/mark/archive/document/list", datas);
};
// 文档管理-文档列表
export const documentListPage = (datas) => {
  return $postParam("/api/admin/mark/archive/document/detail", datas);
};
// 文档管理-文档下载
export const documentDownload = (id) => {
  return $postParam(
    "/api/admin/mark/archive/document/download",
    { id },
    {
      responseType: "blob",
    }
  );
};
// 文档管理-文档新建
export const documentSave = (datas) => {
  return $post("/api/admin/mark/archive/document/save", datas);
};
// 文档管理-文档删除
export const documentDelete = (id) => {
  return $postParam("/api/admin/mark/archive/document/delete", { id });
};

// 专业管理 ------------------->
// 专业管理-列表查询
export const professionalListPage = (datas) => {
  return $postParam("/api/admin/professional/certification/page", datas);
};
// 专业管理-新增编辑
export const professionalSave = (datas) => {
  return $post("/api/admin/professional/certification/save", datas);
};

// 专业管理-课程管理
// 专业管理-课程管理-列表查询
export const professionalCourseListPage = (datas) => {
  return $postParam("/api/admin/professional/certification/course/list", datas);
};
// 专业管理-课程管理-课程选择
export const professionalCourseQueryList = (datas) => {
  return $postParam(
    "/api/admin/professional/certification/course/query_list",
    datas
  );
};
// 专业管理-课程管理-保存
export const professionalCourseSave = (datas) => {
  return $post("/api/admin/professional/certification/course/save", datas);
};
// 专业管理-课程管理-排序
export const professionalCourseSort = (datas) => {
  return $post("/api/admin/professional/certification/course/sort", datas);
};
// 专业管理-课程管理-删除
export const professionalCourseRemove = (id) => {
  return $postParam("/api/admin/professional/certification/course/remove", {
    id,
  });
};

// 专业管理-毕业要求管理
// 专业管理-毕业要求管理-列表查询
export const professionalRequirementListPage = (datas) => {
  return $postParam(
    "/api/admin/professional/certification/requirement/list",
    datas
  );
};
// 专业管理-毕业要求管理-保存
export const professionalRequirementSave = (datas) => {
  return $post("/api/admin/professional/certification/requirement/save", datas);
};
// 专业管理-毕业要求管理-排序
export const professionalRequirementSort = (datas) => {
  return $post("/api/admin/professional/certification/requirement/sort", datas);
};
// 专业管理-毕业要求管理-删除
export const professionalRequirementRemove = (id) => {
  return $postParam(
    "/api/admin/professional/certification/requirement/remove",
    {
      id,
    }
  );
};

// 专业管理-毕业支撑矩阵
// 专业管理-毕业支撑矩阵-列表查询
export const professionalMatrixDetail = (datas) => {
  return $postParam("/api/admin/professional/certification/matrix/get", datas);
};
// 专业管理-毕业支撑矩阵-保存
export const professionalMatrixSave = (datas) => {
  return $post("/api/admin/professional/certification/matrix/save", datas, {
    silence: true,
  });
};
// 专业管理-毕业支撑矩阵-下载
export const professionalMatrixDownload = (professionalId) => {
  return $postParam(
    "/api/admin/professional/certification/matrix/download",
    { professionalId },
    {
      responseType: "blob",
    }
  );
};
